package controller

import (
	"campaign-pool-be/app/module/article_comments/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	ArticleComments ArticleCommentsController
}

func NewController(ArticleCommentsService service.ArticleCommentsService, log zerolog.Logger) *Controller {
	return &Controller{
		ArticleComments: NewArticleCommentsController(ArticleCommentsService, log),
	}
}
